﻿#language: ru

@tree

Функциональность: ЖурналДокументов. Дымовые тесты

Сценарий: ЖурналДокументов. Инициализация

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "ЖурналДокументов. Дым"
	Дано Я отключаю все регламентные задания
	Дано Я устанавливаю время начала блока тестов
	Дано Я включаю все функциональные опции
	Дано я устанавливаю текущему сеансу заголовок приложения "ЖурналДокументов. Дым"


Сценарий: Открытие формы журнала документов "Взаимодействия"

	Дано Я открываю навигационную ссылку "e1cib/list/ЖурналДокументов.Взаимодействия"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму журнала документов Взаимодействия"
	И Я закрываю текущее окно

Сценарий: Открытие формы журнала документов "к2РегламентныеДокументы"

	Дано Я открываю навигационную ссылку "e1cib/list/ЖурналДокументов.к2РегламентныеДокументы"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму журнала документов к2РегламентныеДокументы"
	И Я закрываю текущее окно

Сценарий: Открытие формы журнала документов "СогласияНаОбработкуПерсональныхДанных"

	Дано Я открываю навигационную ссылку "e1cib/list/ЖурналДокументов.СогласияНаОбработкуПерсональныхДанных"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму журнала документов СогласияНаОбработкуПерсональныхДанных"
	И Я закрываю текущее окно


Сценарий: ЖурналДокументов. Обработка Журнал регистрации

	Дано В журнале регистрации "0" ошибок по текущему блоку
